package com.redhat.thermostat.plugin.eclipse.editor;

import org.eclipse.jface.dialogs.TitleAreaDialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

/** Asks the name for a new command/extension */
public class NewNameDialog extends TitleAreaDialog {

    private String name;
    private Text nameText;

    public NewNameDialog(Shell parentShell) {
        super(parentShell);

    }

    @Override
    public void create() {
        super.create();

        setTitle("Enter the name for the new command");
        setMessage("This is the command users will use to trigger your plugin");
    }

    @Override
    protected Control createDialogArea(Composite parent) {
        Composite area = (Composite) super.createDialogArea(parent);

        Composite container = new Composite(area, SWT.NONE);
        container.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true,true));

        container.setLayout(new GridLayout(2, false));

        Label label = new Label(container, SWT.None);
        label.setText("Name:");
        nameText = new Text(container, SWT.None);
        nameText.setLayoutData(new GridData(SWT.FILL, SWT.BEGINNING, true, false));

        return area;
    }

    @Override
    protected void okPressed() {
        saveInput();
        super.okPressed();
    }

    private void saveInput() {
        name = nameText.getText();
    }

    public String getName() {
        return name;
    }

}
