package com.redhat.thermostat.plugin.eclipse.wizards;

import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.ModifyEvent;
import org.eclipse.swt.events.ModifyListener;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;

public class ThermostatProjectCreationWizardPageTwo extends WizardPage {
    private Text packageText;

    public ThermostatProjectCreationWizardPageTwo() {
        super("wizardPage");
        setTitle("Thermostat Wizard");
        setDescription("This wizard creates a new Thermostat Plugin.");
    }

    public void createControl(Composite parent) {
        Composite container = new Composite(parent, SWT.NULL);
        GridLayout layout = new GridLayout();
        container.setLayout(layout);
        
        GridData gd = new GridData(GridData.FILL_HORIZONTAL);
        Label packageNameLabel = new Label(container, SWT.NULL);
        packageNameLabel.setText("&Package name:");
        
        packageText = new Text(container, SWT.BORDER | SWT.SINGLE);
        gd = new GridData(GridData.FILL_HORIZONTAL);
        packageText.setLayoutData(gd);
        packageText.addModifyListener(new ModifyListener() {
            public void modifyText(ModifyEvent e) {
                dialogChanged();
            }
        });
        
        initialize();
        dialogChanged(); 

        setControl(container);
    }

    private void initialize() {
        packageText.setText("com.redhat.thermostat.plugin");
    }

    private void dialogChanged() {
        String packageName = getPackageName();
        if (packageName.length() == 0) {
            updateStatus("Package name must be specified");
            return;
        }
        if (packageName.contains(" ")) {
            updateStatus("Package name must be valid");
            return;
        }
        updateStatus(null);
    }

    private void updateStatus(String message) {
        setErrorMessage(message);
        setPageComplete(message == null);
    }

    public String getPackageName() {
        return packageText.getText();
    }
}
